Subject: bug#30714: closed (Re: bug#30714: Racket doesn't build any more, xform error)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 02 Apr 2018 15:40:05 +0000

Your bug report

#30714: Racket doesn't build any more, xform error

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
30714: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=30714
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#30714: Racket doesn't build any more, xform error
From: Christopher Lemmer Webber <[email-masked]>
To: [email-masked], [email-masked]
Date: Mon, 02 Apr 2018 10:39:56 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

Fixed bugs #30714 and #30603 in 75afbd247876d62f27cb2c90098bd59040f7e614

Subject: Racket doesn't build any more, xform error
From: Christopher Lemmer Webber <[email-masked]>
To: [email-masked]
Date: Mon, 05 Mar 2018 12:16:58 -0600
List-Id: <debbugs-submit.debbugs.gnu.org>

Related to the attempt to upgrade Racket to 6.12:
  https://debbugs.gnu.org/cgi/bugreport.cgi?bug=30603

Apparently the patch I proposed may break GC, so another option should
be found.  But more interestingly is that my thought that things broke
because of a change from Racket 6.11 to 6.12 appears to be wrong... I am
also getting a similar error in trying to build Racket 6.11.  I assume
this must be a dependency change but I don't yet know which:

  env XFORM_USE_PRECOMP=xsrc/precomp.h ../racketcgc  -cqu ./xform.rkt --setup . --depends --cpp "gcc -E -I./.. -I./../include -I./../../rktio -I../../rktio -g -O2  -pthread   -DUSE_SENORA_GC   "  --keep-lines -o xsrc/number.c ./../src/number.c
  Error [GCING] 1780 in ./../src/number.c: Function minus_zero_p declared __xform_nongcing__, but includes a function call at __signbitf128.
  Error [GCING] 1958 in ./../src/number.c: Function double_is_integer declared __xform_nongcing__, but includes a function call at __isinff128.
  Error [GCING] 4050 in ./../src/number.c: Function double_fits_fixnum declared __xform_nongcing__, but includes a function call at __isinff128.
  xform: Errors converting
    context...:
     /tmp/guix-build-racket-6.11.drv-0/racket-6.11/src/racket/gc2/xform-collects/compiler/private/xfor...:8:2: xform
     /tmp/guix-build-racket-6.11.drv-0/racket-6.11/src/racket/gc2/xform-collects/xform/xform-mod.rkt: [running body]
     /tmp/guix-build-racket-6.11.drv-0/racket-6.11/src/racket/gc2/xform.rkt: [running body]
  make[4]: *** [Makefile:268: xsrc/number.c] Error 1

It seems that Racket last built successfully in late December:

  https://hydra.gnu.org/job/gnu/master/racket-6.11.x86_64-linux